To contact me to report a bug or suggestions for a feature you want, my email is 'zedude321@gmail.com'



## Latest Version: V.1.4.0


## All Current Features
```js
VM.save('hello', 'tmp.text', true) // More info 1.4.0
VM.names('both', 'all', true) // More Info 1.3.0
VM.random(1000, true) // More Info 1.1.0
VM.func() // More Info 1.0.0
```


## V.1.4.0 - The Saving Update
-Added the 'save' feature
```js
VM.save('savedInfo', 'fileName', 'save', whether it will say what it did)
// It only works with json files.
VM.save('', 'fileName', 'delete', whether it will say what it did)

VM.save('', 'fileName', 'load', whether it will say what it did)
// The loaded file goes to VM.saved.
```

-Instead of the last thing write 'true' or false'. The default is false;


## V.1.3.0 - The Names Update
-Added the 'name' feature.
```js
VM.names('gender', 'nation', true)
```
-Instead of 'gender' type 'male', 'female', or 'both'. The default is 'both' 

-Instead of 'nation' you can do 'en, all, chinese, dutch, french german, greek, hawaiian, italian, irish, japanese, korean, nat-us, romanian, russian, scottish, spanish, swedish'.

-And the 'true' means the system will console.log it. The default being true

-One little issue with the VM.names() function. It will take a while to update, so ... you figure it out yourselves. Maybe use setTimeOut?

-Changed the name of the package. It is no longer 'vendingm'. It is now called 'Zeatures'


## V.1.2.0 - The It-Is-Actually-Working Update
-Fixed a major bug:
-The package ACTUALLY works now.


## V.1.10 - The Random Update
-Added the 'random' command. 
```js
VM.random(limit,true/false)
```
-The second parameter indicates wether or not you'll get a rounded number. The limit will not be reached.


## V.1.0.0
-This is a vending machine type module.

-To add more items to the list do:
```js
VM.machine.push({name:'Example', price:100})
```

-To change an item do:
```js
VM.machine[0].name = 'Example'
```
-or 
```js
VM.machine[0].price = 100
```

-To change the amount of money you have do:
```js
VM.money = 100
```

-And finally to activate the machine, do:
```js
VM.func();
```